/* read_fis.h */

/*
Copyright (C) 2006 Icare - http://www.icare.univ-lille1.fr
Fabrice Ducos, fabrice.ducos@icare.univ-lille1.fr

This program is a free software; you can redistribute it and/or
modify it under the terms of the CeCILL Public License
as published by www.cecill.info (License version 2 or later).

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
CeCILL Public License for more details.

You should have received a copy of the CeCILL Public License
along with this program; if not, please contact www.cecill.info

If you have any questions or concerns regarding this program,
please email to problem@icare.univ-lille1.fr

For general information about the ICARE Project, please email
to contact@icare.univ-lille1.fr
*/

#ifndef READ_FIS_H
#define READ_FIS_H

/* read a FIS file (Format Image Standard from Lannion), given its filename 
 * returns data into buffer, npix and pix_size when called like this:
 * ret = read_fis(filename, &buffer, &npix, &pix_size, log)
 * ret will contain 0 if no error occured, -1 otherwise
 *
 * buffer is a pointer to a grid of pixels allocated by read_fis (should be freed by the caller)
 * npix is the number of pixels in the grid
 * pix_size is the pixel size (1, 2 or 4 bytes only)
 * log is an input, to control error message printing on stderr (0: no error message on stderr, 1: error messages enabled)
 */

int read_fis(const char *filename, void **ptr_buffer, size_t *ptr_npix, size_t *ptr_pix_size, const unsigned char log);

#endif
