.TH READ_FIS 1
.SH NAME
read_fis \- read FIS files (FIS = Format Image Standard, extension .fis)
.SH SYNOPSIS
.B #include """read_fis.h""

.B int read_fis(const char *\fIfilename\fP, void **\fIptr_buffer\fP, size_t *\fIptr_npix\fP, size_t *\fIptr_pix_size\fP, const unsigned char \fIlog\fP)

.SH DESCRIPTION
.PP
A typical use of \fBread_fis\fP could be:

ret = read_fis(filename, &buffer, &npix, &pix_size, log)

.TP
.B filename 
name of the FIS file to read
.TP
.B buffer
a buffer declared by the caller (8-bit, 16-bit or 32-bit unsigned integer), but allocated and filled by \fBread_fis\fP. Must be free'd by the caller.
.TP
.B npix
the number of pixels found in the \fIbuffer\fP and returned to the caller
.B pix_size
the size of one pixel (1, 2 or 4 bytes)
.TP
.B log
an input to control error message printing on \fIstderr\fP (0: no error message, 1: error logging enabled)
.TP
.B ret
the return value

.SH RETURN VALUE
.PP
\fBread_fis\fP returns 0 if no error occured, -1 otherwise.

.SH COPYRIGHT
read_fis is Copyright (c) Icare 2006
This program is free software; you can redistribute it and/or modify
it under the terms of the CeCILL French Free Software License, as published by
the www.cecill.info website; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
CeCILL French Free Software License for more details.

You should have received a copy of the CeCILL License
along with this program; if not, you may find one on the
www.cecill.info website.
.SH BUGS
.PP
None we are aware of.
.PP
Please report any bug you could find to problem@icare.univ-lille1.fr
.SH AUTHORS
Fabrice Ducos
